ChiliProject - Bug # 540: Hook helper_issues_show_detail_after_setting gets different parameters in

Chili 1.x and 2.0

Status: Closed Priority: Normal

Author: Gregor Schmidt Category: Journals / History

Created: 2011-07-26 Assignee: Holger Just

Updated: 2011-07-27 Due date:

Remote issue URL:

Affected version: 2.0.0

Description: The API of the hook @:helper_issues_show_detail_after_setting@ changed from 1.x to 2.0. The @:detail@

value used to be a @JournalDetail@. Now it as specially laid-out array. This breaks plugins that use this piece

of information.

Attached is a pull request which adds a simple compatibility layer to bring back the old API.

Associated revisions

2011-07-27 03:52 pm - Gregor Schmidt
[#540] compatibility layer to reenable API from Chili 1.x

History

2011-07-26 09:17 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmiadt)

- Status changed from Open to Ready for review

The pull request is at https://github.com/chiliproject/chiliproject/pull/86.

2011-07-26 09:26 pm - Gregor Schmidt
This issue is related to #539.

2011-07-27 01:54 pm - Holger Just
- Assignee set to Holger Just

- Category set to Journals / History

- Status changed from Ready for review to Closed

Pushed to master in commit:e2d16e1397b7787a474d611d48e017d4d5d88465
